{$O-,Q+,R+}
{Progblem E "Sausage"}
{$APPTYPE console}
uses SysUtils;
var
  l,r,r2 : extended;
  n : longint;
  s,ds,currs : extended;
  halfs : extended;
  coldone : longint = 0;
  a,b,c,sqa,sqb,sqc,ha,hb,hc : extended;
  res : array [1..1000] of extended;
  i : longint;
begin
  Assign ( input , 'sausage.in' );
  Assign ( output , 'sausage.out' );
  Reset ( input );
  Rewrite ( output );
  assert (not seekeoln); read (l); assert ((l>0) and (l<=10000));
  assert (not seekeoln); read (r); assert ((r>0) and (r<=10000));
  assert (eoln); readln;
  assert (not seekeoln); read (n); assert ((n>=2) and (n<=1000));
  assert (eoln and not eof); readln;
  assert (eof);
  r2:=r*r;
  s:=pi*r2+2*l*r;
  ds:=s/n;
  currs:=ds;
  halfs:=0.5*pi*r2;
  a:=0;
  while currs<halfs do begin
    inc ( coldone );
    b:=pi;
    sqa:=0.5*r2*(a-sin(a));
    sqb:=0.5*r2*(b-sin(b));
    ha:=r*(1-cos(0.5*a));
    hb:=r*(1-cos(0.5*b));
    while hb-ha>1e-7 do begin
      c:=0.5*(a+b);
      sqc:=0.5*r2*(c-sin(c));
      hc:=r*(1-cos(0.5*c));
      if sqc<currs then begin
        a:=c;
        sqa:=sqc;
        ha:=hc;
      end else begin
        b:=c;
        sqb:=sqc;
        hb:=hc;
      end;
    end;
    res[coldone]:=ha;
    currs:=currs+ds;
  end;
  if coldone<(n-1)/2 then begin
    inc ( coldone );
    res[coldone]:=r+(currs-halfs)/(2*r);
  end;
  while coldone<(n-1)/2 do begin
    inc ( coldone );
    res[coldone]:=res[coldone-1]+ds/(2*r);
  end;
  for i:=1 to coldone do res[n-i]:=2*r+l-res[i];
  for i:=1 to n-1 do writeln ( res[i]:0:6 );
  Close ( input );
  Close ( output );
end.